#include "xoperand.h"

XOperand::XOperand()
    : XAsset()
    , mDataType()
    , mInternals()
{
    SetName("Operand");
}

XOperand::~XOperand()
{
    
}

void XOperand::ParseData(XDataStream *aStream)
{
    Q_UNUSED(aStream);

    // TODO: Fill in XOperand::ParseData
}

void XOperand::Clear()
{
    mDataType = VAL_INT;
    mInternals.Clear();
}
